using System;

using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace DoubleClickDemo
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            #if DEBUG
                MinimizeBox = false;
            #else
                MinimizeBox = true;
            #endif

            // Создаем экземпляр класса DoubleClickButton
            DoubleClickButton butTest = new DoubleClickButton();
            // Настраиваем свойства кнопки
            butTest.Bounds = new Rectangle(20, 10, 200, 30);
            butTest.Text = "Щелкните два раза!";
            Controls.Add(butTest);

            // Добавляем обработчик для события DoubleClick
            butTest.DoubleClick += new EventHandler(butTest_DoubleClick);           
        }

        void butTest_DoubleClick(object sender, EventArgs e)
        {
            textBox1.Text = "Клик-клик";
        }       
    }
}